# Uses of Class
java.util.EnumMap

Packages that use EnumMap
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of EnumMap in java.util

Methods in java.util that return EnumMap
Modifier and Type
Method
Description
`EnumMap<K,​V>`
EnumMap.`clone()`
Returns a shallow copy of this enum map.
Constructors in java.util with parameters of type EnumMap
Modifier
Constructor
Description
``
`EnumMap​(EnumMap<K,​? extends V> m)`
Creates an enum map with the same key type as the specified enum map, initially containing the same mappings (if any).